{
	"source": "data-inspector.mjs",
	"private": true,
	"engines": {
		"bun": ">=1.1.21"
	},
	"type": "module",
	"devDependencies": {
		"@league-of-foundry-developers/foundry-vtt-types": "^9.280.0",
		"@stylistic/eslint-plugin-js": "^2.4.0",
		"eslint": "^9.8.0",
		"eslint-plugin-jsdoc": "^48.8.3",
		"husky": "^9.1.3",
		"lint-staged": "^15.2.7",
		"prettier": "^3.3.3",
		"sass": "^1.77.8"
	},
	"lint-staged": {
		"*.mjs": "eslint --cache --fix",
		"*.json": "prettier --write",
		"*.scss": "prettier --write"
	},
	"scripts": {
		"lint:js": "bunx eslint . --ext js,mjs --cache",
		"lint:js:fix": "bunx eslint . --ext js,mjs --cache --fix",
		"prerelease": "bun run build",
		"release": "bun ./scripts/release.mjs",
		"build": "bun run sync && bun run js && bun run css",
		"js": "bun build src/data-inspector.mjs --sourcemap=linked --minify-whitespace --outdir dist --entry-naming [name].mjs",
		"js:watch": "bun build src/data-inspector.mjs --sourcemap=linked --minify-whitespace --outdir dist --entry-naming [name].mjs --watch",
		"css": "bunx sass ./scss/data-inspector.scss ./dist/data-inspector.css",
		"css:watch": "bunx sass --watch ./scss/data-inspector.scss ./dist/data-inspector.css",
		"sync": "bun ./scripts/sync-files.mjs",
		"sync:watch": "bun ./scripts/sync-files.mjs --watch",
		"ci": "bun install --frozen-lockfile",
		"rebuild": "bun run build"
	},
	"browserslist": "defaults, last 2 versions, not dead"
}
